FBSD: osi_vcache: remove support for unsupported FreeBSD releases
authorGarrett Wollman <wollman@csail.mit.edu>
Wed, 13 Aug 2014 01:56:22 +0000 (21:56 -0400)
committerJeffrey Altman <jaltman@your-file-system.com>
Tue, 25 Nov 2014 00:15:39 +0000 (19:15 -0500)
commit744a0e6df11ceefde0885a2ab737a8e689762d53
tree2aca38bfb15a5279833234ae6cb9355129842234
parent94d5807d82cc863eefee2814bcc71a7c91f88d51
FBSD: osi_vcache: remove support for unsupported FreeBSD releases

Support for FreeBSD 7.x terminated in early 2013, and it's highly
unlikely that anyone was successfully using OpenAFS in that
environment.  OpenAFS has not been tested on 7.x since at least that
time, probably longer.  This removes the #ifdefs that support pre-8.0
releases.

Change-Id: I01cbce2d98f02755b170df34d948a94525df3853
Reviewed-on: http://gerrit.openafs.org/11382
Tested-by: BuildBot <buildbot@rampaginggeek.com>
Reviewed-by: Benjamin Kaduk <kaduk@mit.edu>
src/afs/FBSD/osi_vcache.c